Forge

Functions
Utility & Helper Functions
C API functions

## Functions
FGAPI fg_err | fg_update_vertex_buffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific vertex buffer from given host side memory. More...
FGAPI fg_err | fg_update_pixel_buffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific pixel buffer from given host side memory. More...
FGAPI fg_err | fg_finish ()
| Sync all rendering operations till this point. More...

## Detailed Description

## Function Documentation

## ◆ fg_finish()

FGAPI fg_err fg_finish | ( |  | ) |

Sync all rendering operations till this point.

Returns
  fg_err error code

## ◆ fg_update_pixel_buffer()

FGAPI fg_err fg_update_pixel_buffer | ( | const unsigned | pBufferId,
|  | const size_t | pBufferSize,
|  | const void * | pBufferData
| ) |  |

Update backend specific pixel buffer from given host side memory.

Parameters

  [in] | pBufferId | is the buffer identifier
  [in] | pBufferSize | is the buffer size in bytes
  [in] | pBufferData | is the pointer of the host side memory

Returns
  fg_err error code

## ◆ fg_update_vertex_buffer()

FGAPI fg_err fg_update_vertex_buffer | ( | const unsigned | pBufferId,
|  | const size_t | pBufferSize,
|  | const void * | pBufferData
| ) |  |

Update backend specific vertex buffer from given host side memory.

Parameters

  [in] | pBufferId | is the buffer identifier
  [in] | pBufferSize | is the buffer size in bytes
  [in] | pBufferData | is the pointer of the host side memory

Returns
  fg_err error code